# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2018-05-29 01:34
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('backend', '0014_auto_20180525_1247'),
    ]

    operations = [
        migrations.CreateModel(
            name='BillInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Month', models.CharField(max_length=12)),
                ('PaidDay', models.CharField(max_length=24)),
                ('PaidType', models.CharField(max_length=12)),
                ('Commodity', models.CharField(max_length=24)),
                ('BillMethod', models.CharField(max_length=12)),
                ('ResourceId', models.CharField(max_length=32)),
                ('InstanceName', models.CharField(max_length=64)),
                ('ZoneId', models.CharField(max_length=64)),
                ('AmountsPayable', models.CharField(max_length=12)),
            ],
        ),
        migrations.CreateModel(
            name='BillItems',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('items', models.CharField(max_length=24)),
                ('price', models.CharField(max_length=12)),
            ],
        ),
        migrations.AddField(
            model_name='billinfo',
            name='BillItems',
            field=models.ManyToManyField(to='backend.BillItems'),
        ),
        migrations.AddField(
            model_name='billinfo',
            name='Tags',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='backend.Tags'),
        ),
        migrations.AlterUniqueTogether(
            name='billinfo',
            unique_together=set([('ResourceId', 'PaidDay')]),
        ),
    ]
